Bug 1345886 - Can we get a newer release, ideally 1.0.9.1 or later for F23+
Summary: Can we get a newer release, ideally 1.0.9.1 or later for F23+
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-eventmachine
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 11:37 UTC by Brian (bex) Exelbierd
Modified: 2016-12-20 20:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:57:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Brian (bex) Exelbierd 2016-06-13 11:37:57 UTC
Version 1.0.9.1 was released in Jan 2016.  Version 1.2.X started after that.

Thank you.

Comment 1 Vít Ondruch 2016-06-20 13:25:20 UTC
Hi bex,

What is your justification please? I am asking, since I typically update the packages just in Rawhide, to prevent breaking user environments.

Comment 2 Brian Exelbierd 2016-09-07 12:36:36 UTC
I had a need for a newer gem in F23.  I understand the desire to not put new versions of some software in older versions of Fedora, however I wonder what our advice is for users of current versions of Fedora who want updated Ruby library and don't want to run rawhide is.

This can be closed, but I would like your thoughts on this subject.  Thank you.

Comment 3 Vít Ondruch 2016-09-07 15:07:31 UTC
It depends who is "user" in your view.

In my view, user is installing all applications via "dnf install" and does not care about updates, as long as the packaged application works (more or less).

It seems that you are trying to use something which is not in Fedora and then it becomes more interesting (and I don't consider you just "user" anymore). I see several scenarios here:

1. If you want to have this packaged into RPM, you probably want to adjust the dependencies properly and fix possible compatibility issues.

2. You can provide Copr repo, with updated version of the library (but you still risk some incompatibilities with the official Fedora packages).

3. It is possible to consider some compat- or versioned version of library, e.g. in your case to update rubygem-eventmaching to the latest version and provide compat-rubygem-eventmachine or rubygem-eventmachine106, but this is maintenance burden.

4. If you want to use some application from git checkout or tarball, you might install as much packages as you can from Fedora repositories and install the remaining dependencies via "gem install" (or "bundle install" but Bundler tries to update every package in this case).

Actually there is always yet another case, use RVM to install Ruby and use Bundler to install all the gem dependencies. Then you need to fiddle with some missing -devel package dependencies etc, but I assume this is probably what you are trying to avoid ...

BTW I'd be really interested in your "user" story, since I am pretty sure I have some cognitive bias ...

Comment 4 Brian Exelbierd 2016-09-07 15:16:31 UTC
My user story was that I am a developer.  I am working on an app that needed the newer version.  I was going to get it working and then package it as a container (iirc).  I don't use vagrant or a VM and was happy to have the system ruby updated.

I guess the question is what should a developer who wants to use newer stuff do?  What is the Fedora answer that works well?  Is the answer always a virtualization (RVM in this case?)?

Comment 5 Vít Ondruch 2016-09-08 05:30:18 UTC
I'd say that in this case you should work as regular Ruby developer, i.e. you should use RubyGems together with Bundler to manage your Ruby app dependencies. The workflow could look something like:

1. Start develop new application. Install all your dependencies via "dnf install rubygem-*".

2. You realize that you need more recent version of some package then available on Fedora, the you do just "gem update foo" (you might use Bundler and Gemfiles to manage the app dependencies, but don't use "bundler install/update" since Bundler always tries to update everything on the system, but you want to stick with Fedora versions probably).

3. Additionally, you can either run CI on Rawhide or once in a while try to check where Rawhide stands with the versions of your dependencies, since if Rawhide drifts away, you want to selectively update you local packages to keep in sync with future Fedoras.

4. If you want to add some new dependency, then again preferably use "dnf install" to get the system gem.

Also, you might try to use Rawhide packages on your stable system. This will work as long as there are not big changes in package guidelines and as long as the packages are noarch. For arch dependent packages, the Ruby version must be the same on Rawhide as on your version of Fedora, otherwise you might get pulled Rawhide version of Ruby and its dependencies on your system, that is probably not what you want.

Comment 6 Fedora End Of Life 2016-11-25 09:17:34 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2016-12-20 20:57:27 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.